From 5346b21d2f44c68cc96371a4dc960f9a0d7b8eeb Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 06 2020 04:06:44 +0000
Subject: [PATCH 1304/2232] Include exported headers in Cfg's Debug impl


---

diff --git a/gen/build/src/cfg.rs b/gen/build/src/cfg.rs
index aecd046..c15a173 100644
--- a/gen/build/src/cfg.rs
+++ b/gen/build/src/cfg.rs
@@ -243,9 +243,19 @@ pub static mut CFG: Cfg = Cfg {
 
 impl<'a> Debug for Cfg<'a> {
     fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
+        let Self {
+            include_prefix,
+            exported_header_dirs,
+            exported_header_prefixes,
+            exported_header_links,
+            marker: _,
+        } = self;
         formatter
             .debug_struct("Cfg")
-            .field("include_prefix", &self.include_prefix)
+            .field("include_prefix", include_prefix)
+            .field("exported_header_dirs", exported_header_dirs)
+            .field("exported_header_prefixes", exported_header_prefixes)
+            .field("exported_header_links", exported_header_links)
             .finish()
     }
 }

